﻿if(isCardForm() == true){
	btitle.attachEvent("click", onClickTitle);
	bisbn.attachEvent("click", onClickISBN);
}

var rakuurl = "http://api.rakuten.co.jp/rws/3.0/rest?developerId=1056454968591245281&operation=BooksBookSearch&version=2011-12-01&outOfStockFlag=1&";

function setBookInfo(surl, istitle)
{
	var node = Network.downloadAsXml(surl);
	if(node != null) node = node.getSingleNode("Body");
	if(node != null) node = node.getSingleNode("booksBookSearch:BooksBookSearch");
	if(node != null) node = node.getSingleNode("Items");
	
	var nodes = null;
	if(node != null) nodes = node.getNodes("Item");
	if(nodes == null || nodes.length == 0){
		Dialog.message("見つかりませんでした。", Dialog.INFORMATION);
		return;
	}
	
	var s = 0;
	if(nodes.length > 1){
		var items = new Array(nodes.length);
		for(var i = 0; i < nodes.length; i++){
			items[i] = nodes[i].getSingleNode("title").value + " (" +
				nodes[i].getSingleNode("author").value + " / " +
				nodes[i].getSingleNode("publisherName").value + ")";
		}
		s = Dialog.select("候補が複数あります", items, "書籍の検索");
		if(s == -1) return;
	}
	
	node = nodes[s];
	isbn.value = node.getSingleNode("isbn").value;
	title.value = node.getSingleNode("title").value;
	author.value = node.getSingleNode("author").value;
	publisher.value = node.getSingleNode("publisherName").value;
	pubdate.value = node.getSingleNode("salesDate").value;
	remark.text = node.getSingleNode("itemCaption").value;
	cover.setFile(node.getSingleNode("largeImageUrl").value);
}

function onClickTitle()
{
	if(title.value.length == 0){
		Dialog.message("タイトルが未記入です。", Dialog.INFORMATION);
		return;
	}
	setBookInfo(rakuurl + "title=" + title.value, true);
}

function onClickISBN()
{
	var iv = isbn.value;
	if(iv.length == 0){
		Dialog.message("ISBNコードが未記入です。", Dialog.INFORMATION);
		return;
	}
	setBookInfo(rakuurl + "isbn=" + isbn.value, false);
}
